MilterManagerProcessLauncher
3
milter managerライブラリ

# MilterManagerProcessLauncher

## Functions

GQuark | milter_manager_process_launcher_error_quark ()
MilterManagerProcessLauncher * | milter_manager_process_launcher_new ()
void | milter_manager_process_launcher_run ()
void | milter_manager_process_launcher_shutdown ()

## Types and Values

#define | MILTER_MANAGER_PROCESS_LAUNCHER_ERROR
enum | MilterManagerProcessLauncherError
struct | MilterManagerProcessLauncher
struct | MilterManagerProcessLauncherClass

## オブジェクト階層

        GEnum
        ╰── MilterManagerProcessLauncherError
        GObject
        ╰── MilterAgent
            ╰── MilterManagerProcessLauncher

## 実装されたインターフェイス

MilterManagerProcessLauncher implements

## 説明

## Functions

### milter_manager_process_launcher_error_quark ()

    GQuark
    milter_manager_process_launcher_error_quark
                                   (void);

### milter_manager_process_launcher_new ()

    MilterManagerProcessLauncher *
    milter_manager_process_launcher_new (void);

### milter_manager_process_launcher_run ()

    void
    milter_manager_process_launcher_run (MilterManagerProcessLauncher *launcher);

### milter_manager_process_launcher_shutdown ()

    void
    milter_manager_process_launcher_shutdown
                                   (MilterManagerProcessLauncher *launcher);

## Types and Values

### MILTER_MANAGER_PROCESS_LAUNCHER_ERROR

    #define MILTER_MANAGER_PROCESS_LAUNCHER_ERROR           (milter_manager_process_launcher_error_quark())

### enum MilterManagerProcessLauncherError

#### Members

MILTER_MANAGER_PROCESS_LAUNCHER_ERROR_BAD_COMMAND_STRING |  |
MILTER_MANAGER_PROCESS_LAUNCHER_ERROR_START_FAILURE |  |
MILTER_MANAGER_PROCESS_LAUNCHER_ERROR_INVALID_USER_NAME |  |
MILTER_MANAGER_PROCESS_LAUNCHER_ERROR_ALREADY_LAUNCHED |  |
MILTER_MANAGER_PROCESS_LAUNCHER_ERROR_MILTER_EXIT |  |

### struct MilterManagerProcessLauncher

    struct MilterManagerProcessLauncher;

### struct MilterManagerProcessLauncherClass

    struct MilterManagerProcessLauncherClass {
        MilterAgentClass parent_class;
    };